{-# LANGUAGE OverloadedStrings #-}

module Lisa
    ( app
    ) where

import Data.Maybe (fromMaybe)
import Web.Scotty (ScottyM, get, html, param, rescue)

app :: ScottyM ()
app = do
    get "/" $ do
        html "<h1>It works!</h1><ul><li><a href='/lectures/search?query='>Vorlesungen</a></li></ul>"
    get "/lectures/search" $ do
        query <- param "query"
        html $ "<form action='/lectures/search' method='GET'><input name='query' value='"  <> query <> "'><button type='submit'>Suchen</button></form>"
